



package q02b.exe.utils;

 

import q02b.exe.utils.Q02bConstantes;

import java.text.*;

import java.util.*;

//import java.io.ByteArrayOutputStream;

//import java.io.IOException;

//import java.io.InputStream;

import java.lang.Integer;

import java.lang.String;

import java.math.*;









/**

 *  Clase con funciones de utililidad para la aplicación

*/

public class Q02bAplicationUtils {

	

         public static final String [] mesesCas = {"Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"};

         public static final String [] mesesEus = {"Urtarrila","Otsaila","Martxoa","Apirila","Maiatza","Ekaina","Uztaila","Abuztua","Iraila","Urria","Azaroa","Abendua"};



             

         /**

          * Función que devuelve un array con los meses del año

          * 

          * @return Devuelve un array con los  meses	

          */

          public static String[] dameArrayMeses(){

        	  String[] listaMeses = new String[12];

        	  try{

        		for (int i=0;i<12;i++)

		{

			listaMeses[i] =  Integer.toString(i+1);

		}

        	  }catch(Exception ex){}

        	  return listaMeses;

          }

          

           /**

          * Función que devuelve un array con los años que se van a cargar en el combo de búsqueda de Cuestionarios de Ayuntamientos Mensuales

          * 

          * @return Devuelve un array con los  años

          */

          public static String[] dameArrayAnosCuesAyunMen(){

        	  int anoInicial = 0;

	  int anoFinal = 0;

	  Calendar c = new GregorianCalendar();

	  //anoInicial =  Integer.valueOf(Q02bConstantes.getString("q02b.cuestionarios.ayunMen.anoInicial")).intValue();

	  int anoConfig =  Integer.valueOf(Q02bConstantes.getString("q02b.cuestionarios.ayunVtmMen.anosConfig")).intValue();

	  anoFinal =   c.get(Calendar.YEAR);

	  anoInicial = anoFinal - anoConfig;

	  String[] listaAnos = new String[(anoFinal-anoInicial)+1];

        	  try{

		for(int i=0;i<=anoFinal-anoInicial;i++)

		{

			listaAnos[i] =  Integer.toString(anoInicial+i);

		}

        	  }catch(Exception ex){}

        	  return listaAnos;

          }

          

          /**

           * Función que devuelve un array con los años que se van a cargar en el combo de búsqueda de Cuestionarios de Suelo Municipal

           * 

           * @return Devuelve un array con los  años

           */

           public static String[] dameArrayAnosCuesSMAnu(){

        		  int anoInicial = 0;

        		  int anoFinal = 0;

        		  Calendar c = new GregorianCalendar();

//        		  anoInicial =  Integer.valueOf(Q02bConstantes.getString("q02b.cuestionarios.ayunMen.anoInicial")).intValue();

        		  int anoConfig =  Integer.valueOf(Q02bConstantes.getString("q02b.cuestionarios.sMAnu.anosConfig")).intValue();

        		  anoFinal =   c.get(Calendar.YEAR);

        		  anoInicial = anoFinal - anoConfig;

        		  String[] listaAnos = new String[(anoFinal-anoInicial)+1];

        		  	  try{

        		  for(int i=0;i<=anoFinal-anoInicial;i++)

        		  {

        		  	listaAnos[i] =  Integer.toString(anoInicial+i);

        		  }

        		  	  }catch(Exception ex){}

        		  	  return listaAnos;

        		   }

           

   /**

* Función que devuelve un array con los años que se van a cargar en el combo de búsqueda de Cuestionarios de Suelo Municipal

* 

* @return Devuelve un array con los  años

*/

public static String[] dameArrayAnosCuesVTMAnu(){

	int anoInicial = 0;

	int anoFinal = 0;

	Calendar c = new GregorianCalendar();

	anoInicial =  Integer.valueOf(Q02bConstantes.getString("q02b.cuestionarios.VTMAnu.anoInicial")).intValue();

	anoFinal =  c.get(Calendar.YEAR);

	String[] listaAnos = new String[(anoFinal-anoInicial)+1];

		try{

			for(int i=0;i<=anoFinal-anoInicial;i++)

			{

				listaAnos[i] =  Integer.toString(anoInicial+i);

			}

		}catch(Exception ex){}

	return listaAnos;

}



/**

 * Función que devuelve un array con los años que se van a cargar en el combo de búsqueda de Cuestionarios VAPM

 * 

 * @return Devuelve un array con los  años

 */

 public static String[] dameArrayAnosCuesVAPM(){

	  int anoInicial = 0;

int anoFinal = 0;

Calendar c = new GregorianCalendar();

//anoInicial =  Integer.valueOf(Q02bConstantes.getString("q02b.cuestionarios.ayunMen.anoInicial")).intValue();

int anoConfig =  Integer.valueOf(Q02bConstantes.getString("q02b.cuestionarios.VAPM.anosConfig")).intValue();

anoFinal =   c.get(Calendar.YEAR);

anoInicial = anoFinal - anoConfig;

String[] listaAnos = new String[(anoFinal-anoInicial)+1];

	  try{

for(int i=0;i<=anoFinal-anoInicial;i++)

{

	listaAnos[i] =  Integer.toString(anoInicial+i);

}

	  }catch(Exception ex){}

	  return listaAnos;

 }

 

                            

                               

}